# Chalten

This is a time model that allows to use dates, months, years, etc. in an easy way.

[![Unit Tests](https://github.com/ba-st/Chalten/actions/workflows/unit-tests.yml/badge.svg)](https://github.com/ba-st/Chalten/actions/workflows/unit-tests.yml)
[![Coverage Status](https://codecov.io/github/ba-st/Chalten/coverage.svg?branch=release-candidate)](https://codecov.io/gh/ba-st/Chalten/branch/release-candidate)
[![Baseline Groups](https://github.com/ba-st/Chalten/actions/workflows/loading-groups.yml/badge.svg)](https://github.com/ba-st/Chalten/actions/workflows/loading-groups.yml)
[![Markdown Lint](https://github.com/ba-st/Chalten/actions/workflows/markdown-lint.yml/badge.svg)](https://github.com/ba-st/Chalten/actions/workflows/markdown-lint.yml)

[![GitHub release](https://img.shields.io/github/release/ba-st/Chalten.svg)](https://github.com/ba-st/Chalten/releases/latest)
[![Pharo 8.0](https://img.shields.io/badge/Pharo-8.0-informational)](https://pharo.org)
[![Pharo 9.0](https://img.shields.io/badge/Pharo-9.0-informational)](https://pharo.org)
[![Pharo 10](https://img.shields.io/badge/Pharo-10-informational)](https://pharo.org)

> *[Chaltén](https://www.elchalten.com) is a village settled inside
> [Los Glaciares National Park](https://en.wikipedia.org/wiki/Los_Glaciares_National_Park),
> in the heart of the Patagonic southern mountains, at the foot of the mythical
> [Mt. Fitz Roy](https://en.wikipedia.org/wiki/Fitz_Roy).*

## License

- The code is licensed under [MIT](LICENSE).
- The documentation is licensed under [CC BY-SA 4.0](http://creativecommons.org/licenses/by-sa/4.0/).

## Quick Start

- Download the latest [Pharo 64 bits VM](https://get.pharo.org/64/).
- Download a ready to use image from the [release page](https://github.com/ba-st/Chalten/releases/latest)
- Explore the [documentation](docs/)

## Installation

To load the project in a Pharo image, or declare it as a dependency of your own
project follow this [instructions](docs/Installation.md).

## Contributing

Check the [Contribution Guidelines](CONTRIBUTING.md)
